Bug 352861 - loader received SIGSEGV
loader received SIGSEGV
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i686 Linux
low Severity low
: ---
: ---
Assigned To: Martin Sivák
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-25 13:37 EDT by Orion Poplawski
Modified: 2008-02-27 13:57 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-27 13:57:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
kickstart file (8.78 KB, text/plain)
2007-10-26 12:14 EDT, Orion Poplawski
no flags Details

  None (edit)
Description Orion Poplawski 2007-10-25 13:37:45 EDT
Description of problem:

Doing PXE/NFS install of today's (20071025) rawhide.  Get:

loader received SIGSEGV! Backtrace:

Last anaconda messages:

getting ready to spawn shell now
modules to insert ide-cd
load module set done
modules to insert
load module set done
modules to insert
load module set done
modules to insert pcmcia_core <some square box characters> pcmcia
load module set done

Last vt4:
<7>eth0: no IPv6 routers present

Looks like it was about to do dhcp on eth0.

Version-Release number of selected component (if applicable):
Comment 1 Martin Sivák 2007-10-26 05:18:08 EDT
Can you provide information about architecture, kernel parameters, used
kickstart file and repository?
Comment 2 Orion Poplawski 2007-10-26 12:13:33 EDT
It's a Winbook Model 8060B.  Pentium M processor.  

00:00.0 Host bridge: Intel Corporation 82855PM Processor to I/O Controller (rev 03)
00:01.0 PCI bridge: Intel Corporation 82855PM Processor to AGP Controller (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI
Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 83)
00:1f.0 ISA bridge: Intel Corporation 82801DBM (ICH4-M) LPC Interface Bridge
(rev 03)
00:1f.1 IDE interface: Intel Corporation 82801DBM (ICH4-M) IDE Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus
Controller (rev 03)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 03)
00:1f.6 Modem: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97
Modem Controller (rev 03)
01:00.0 VGA compatible controller: nVidia Corporation NV34M [GeForce FX Go5200
64M] (rev a1)
02:01.0 Network controller: Intel Corporation PRO/Wireless LAN 2100 3B Mini PCI
Adapter (rev 04)
02:02.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
02:03.0 CardBus bridge: Texas Instruments PCI4510 PC card Cardbus Controller
(rev 02)
02:03.1 FireWire (IEEE 1394): Texas Instruments PCI4510 IEEE-1394 Controller

PXE Boot params:

        kernel fedora/development/i386/vmlinuz
        append root=/dev/ram initrd=fedora/development/i386/initrd.img
ks=nfs:saga:/export/data1/ks/rawhide-laptop.cfg ksdevice=bootif nokill
        ipappend 2

I'm currently running F7 on it if you want any testing from there (installing
devel kernels, etc).
Comment 3 Orion Poplawski 2007-10-26 12:14:01 EDT
Created attachment 239281 [details]
kickstart file
Comment 4 Martin Sivák 2007-12-03 09:58:26 EST
Have you tried to reproduce this bug on f8? If not.. can you try please?
Comment 5 Orion Poplawski 2007-12-03 11:53:11 EST
Still there, slightly different addresses.


Comment 6 tswan 2007-12-04 13:10:58 EST
I can reproduce this on my hardware as well.  See Bugzilla 375171 

Comment 7 Orion Poplawski 2008-02-27 13:57:47 EST
No more crashing for me...

Note You need to log in before you can comment on or make changes to this bug.